## python-argh 0.28.1

=== Makefile ===
deb:
	dpkg-buildpackage -A -uc -us

## python-argh 0.15.1

=== debian/changelog ===
python-argh (0.15.1-2) unstable; urgency=low

  * Add argh/six.py license to debian/copyright file

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 30 Sep 2012 18:40:08 +0200

python-argh (0.15.1-1) unstable; urgency=low

  * Initial release (Closes: #689019)

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 28 Sep 2012 12:34:24 +0200

=== debian/control ===
Source: python-argh
Section: python
Priority: extra
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3)
Standards-Version: 3.9.4.0
Homepage: http://pypi.python.org/pypi/argh
Vcs-Git: git://git.debian.org/collab-maint/python-argh.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-argh.git;a=summary

Package: python-argh
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: simple argparse wrapper
 Argh provides a very simple wrapper for argparse.
 .
 Argparse is a very powerful tool; argh just makes it easy to use.
 .
 Here’s a list of features that argh adds to argparse:
 .
  * mark a function as a CLI command and specify its arguments before
    the parser is instantiated;
  * nested commands made easy: no messing with subparsers;
  * infer command name from function name;
  * infer agrument type from the default value;
  * infer argument action from the default value (for booleans);
  * infer arguments from function signature;
  * add an alias root command help for the --help argument;
  * enable passing unwrapped arguments to certain functions instead of
    an argparse.Namespace object.
 .
 Argh is fully compatible with argparse. You can mix argh-agnostic and
 argh-aware code. Just keep in mind that dispatch() does some extra
 work that a custom dispatcher may not do.

## python-argh 0.17.2

=== debian/changelog ===
python-argh (0.17.2-1) unstable; urgency=low

  * Imported Upstream version 0.17.2

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 27 Nov 2012 22:16:30 +0100

python-argh (0.16.0-1) unstable; urgency=low

  * Imported Upstream version 0.16.0

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 22 Oct 2012 16:39:30 +0200

## python-argh 0.23.2

=== debian/changelog ===
python-argh (0.23.2-1) unstable; urgency=low

  * Imported Upstream version 0.23.2
  * Canonicalize VCS-* field URI in debian/control

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 18 Jun 2013 11:37:49 +0200

python-argh (0.23.0-1) unstable; urgency=low

  * Imported Upstream version 0.23.0

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 08 Feb 2013 17:21:37 +0100

python-argh (0.21.2-1) unstable; urgency=low

  * Imported Upstream version 0.21.2
  * Add python-argcomplete as recommended

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 11 Jan 2013 02:20:12 +0100

python-argh (0.21.1-1) unstable; urgency=low

  * debian/control: Add X-Python-Version: >= 2.6 to fix build on squeeze
  * Add support for build on Ubuntu Lucid (10.4)
  * Imported Upstream version 0.21.1
  * Remove argh/six.py license from debian/copyright as the file was
    removed upstream

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 04 Jan 2013 18:44:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: python
 Priority: extra
 Maintainer: Marco Nenciarini <mnencia@debian.org>
-Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3)
+Build-Depends: debhelper (>= 7), python-all, python-setuptools (>= 0.6b3)
 Standards-Version: 3.9.4.0
 Homepage: http://pypi.python.org/pypi/argh
-Vcs-Git: git://git.debian.org/collab-maint/python-argh.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/python-argh.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/python-argh.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-argh.git;a=summary
+X-Python-Version: >= 2.6
 
 Package: python-argh
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
+Recommends: python-argcomplete
 Description: simple argparse wrapper
  Argh provides a very simple wrapper for argparse.
  .

## python-argh 0.24.1

=== debian/changelog ===
python-argh (0.24.1-1) unstable; urgency=medium

  * Imported Upstream version 0.24.1
  * Bump standards-version to 3.9.5.0 (no changes)

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 29 Jan 2014 23:20:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Marco Nenciarini <mnencia@debian.org>
 Build-Depends: debhelper (>= 7), python-all, python-setuptools (>= 0.6b3)
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.5.0
 Homepage: http://pypi.python.org/pypi/argh
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-argh.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-argh.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

WITH_PYTHON2 = $(shell test -f /usr/bin/dh_python2 && echo "--with python2")

%:
	dh ${WITH_PYTHON2} $@

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/a/argh/argh-(.*)\.tar\.gz

## python-argh 0.25.0

=== debian/changelog ===
python-argh (0.25.0-1) unstable; urgency=medium

  * Imported Upstream version 0.25.0

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 09 Oct 2014 03:27:42 +0200

## python-argh 0.26.1

=== debian/changelog ===
python-argh (0.26.1-1) unstable; urgency=medium

  [ Marco Nenciarini ]
  * Imported Upstream version 0.26.1
  * Fix some unit tests to not fail in a clean build environment
  * Update debian/watch
  * Bump standards-version to 3.9.6.0 (no changes)

  [ Brian May ]
  * Python3 package (Closes: 778446)

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 17 Feb 2015 05:50:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: python
 Priority: extra
 Maintainer: Marco Nenciarini <mnencia@debian.org>
-Build-Depends: debhelper (>= 7), python-all, python-setuptools (>= 0.6b3)
-Standards-Version: 3.9.5.0
+Build-Depends: debhelper (>= 7), dh-python,
+ python-all, python-setuptools (>= 0.6b3), python-pytest, python-mock,
+ python3-all, python3-setuptools (>= 0.6b3), python3-pytest, python3-mock,
+Standards-Version: 3.9.6.0
 Homepage: http://pypi.python.org/pypi/argh
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-argh.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-argh.git;a=summary
@@ -13,7 +15,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
 Recommends: python-argcomplete
-Description: simple argparse wrapper
+Description: simple argparse wrapper (Python 2)
  Argh provides a very simple wrapper for argparse.
  .
  Argparse is a very powerful tool; argh just makes it easy to use.
@@ -34,3 +36,33 @@
  Argh is fully compatible with argparse. You can mix argh-agnostic and
  argh-aware code. Just keep in mind that dispatch() does some extra
  work that a custom dispatcher may not do.
+ .
+ This package installs the library for Python 2.
+
+Package: python3-argh
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: python3-argcomplete
+Description: simple argparse wrapper (Python 3)
+ Argh provides a very simple wrapper for argparse.
+ .
+ Argparse is a very powerful tool; argh just makes it easy to use.
+ .
+ Here’s a list of features that argh adds to argparse:
+ .
+  * mark a function as a CLI command and specify its arguments before
+    the parser is instantiated;
+  * nested commands made easy: no messing with subparsers;
+  * infer command name from function name;
+  * infer agrument type from the default value;
+  * infer argument action from the default value (for booleans);
+  * infer arguments from function signature;
+  * add an alias root command help for the --help argument;
+  * enable passing unwrapped arguments to certain functions instead of
+    an argparse.Namespace object.
+ .
+ Argh is fully compatible with argparse. You can mix argh-agnostic and
+ argh-aware code. Just keep in mind that dispatch() does some extra
+ work that a custom dispatcher may not do.
+ .
+ This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=argh

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-argh 0.26.2

=== debian/changelog ===
python-argh (0.26.2-2) unstable; urgency=medium

  * Team upload.
  * Inject packaging into Salsa
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Point Vcs fields to salsa.debian.org (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Secure URI in copyright format (routine-update)
  * Drop ancient X-Python-Version field (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * watch file standard 4 (routine-update)
  * Fix test conditions
    Closes: #997470

 -- Andreas Tille <tille@debian.org>  Mon, 01 Nov 2021 13:22:50 +0100

python-argh (0.26.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937581

 -- Sandro Tosi <morph@debian.org>  Wed, 16 Oct 2019 22:22:06 -0400

python-argh (0.26.2-1) unstable; urgency=medium

  * New upstream version 0.26.2
  * Drop 0001-fix-unit-tests.patch
  * Avoid depending on iocapture module for testing
  * Fix a typo in long description (found by lintian)
  * Bump standards-version to 3.9.8.0 (no changes)
  * Switch to debhelper compatibility version 9
  * Use an encrypted transport protocol for the Vcs-* URIs
  * Acknowledge the NMUs from Sean Whitton. Thanks for your contribution.

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 16 Dec 2016 15:53:36 +0100

python-argh (0.26.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop parts of 0001-fix-unit-tests.patch touching test_interaction.py.
  * Fix the Unicode encoding test by setting LC_ALL in d/rules.
    This fix is more general as the LANG var can be overridden by LC_*
    vars (see locale(7)).  Thanks to Jakub Wilk for pointing this out and
    suggesting the improved fix.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 12 Aug 2016 10:58:57 -0700

python-argh (0.26.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update 0001-fix-unit-tests.patch for newer sbuild (Closes: #832851).
    The LANG environment variable might not be set.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 11 Aug 2016 11:58:52 -0700

=== debian/control ===
Source: python-argh
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Marco Nenciarini <mnencia@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest,
               python3-mock
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-argh
Vcs-Git: https://salsa.debian.org/python-team/packages/python-argh.git
Homepage: https://pypi.python.org/pypi/argh
Rules-Requires-Root: no

Package: python3-argh
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-argcomplete
Description: simple argparse wrapper (Python 3)
 Argh provides a very simple wrapper for argparse.
 .
 Argparse is a very powerful tool; argh just makes it easy to use.
 .
 Here’s a list of features that argh adds to argparse:
 .
  * mark a function as a CLI command and specify its arguments before
    the parser is instantiated;
  * nested commands made easy: no messing with subparsers;
  * infer command name from function name;
  * infer argument type from the default value;
  * infer argument action from the default value (for booleans);
  * infer arguments from function signature;
  * add an alias root command help for the --help argument;
  * enable passing unwrapped arguments to certain functions instead of
    an argparse.Namespace object.
 .
 Argh is fully compatible with argparse. You can mix argh-agnostic and
 argh-aware code. Just keep in mind that dispatch() does some extra
 work that a custom dispatcher may not do.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=argh

# ensure the encoding test in test_interaction.py runs (see
# https://github.com/neithere/argh/issues/85)
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/argh/argh-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-argh 0.28.1

=== debian/changelog ===
python-argh (0.28.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add missing build-dependency on flit.
  * refresh patches
  * d/control: build-dep on pybuild-plugin-pyproject for PEP-517 compat.
  * d/control: use real homepage, not PyPI
  * d/watch: use https

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 16 Aug 2023 13:03:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
-               python3-setuptools,
+               pybuild-plugin-pyproject,
                python3-pytest,
-               python3-mock
-Standards-Version: 4.6.0
+               python3-mock,
+               flit
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-argh
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-argh.git
-Homepage: https://pypi.python.org/pypi/argh
+Homepage: https://github.com/neithere/argh
 Rules-Requires-Root: no
 
 Package: python3-argh

## python-argh 0.31.2

=== debian/changelog ===
python-argh (0.31.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.31.2
  * remove extraneous python3-mock build-dep

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Feb 2024 12:35:16 +0100

## python-argh 0.31.3

=== debian/changelog ===
python-argh (0.31.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix tests under Python 3.13 (closes: #1082194).

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Nov 2024 03:08:19 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                python3-all,
                pybuild-plugin-pyproject,
                python3-pytest,
-               python3-mock,
                flit
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-argh

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/argh/argh-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
